petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSwarmGetLocalSize

Retrives the local length of fields registered

### Synopsis

    #include "petscdmswarm.h"
    PETSC_EXTERN PetscErrorCode DMSwarmGetLocalSize(DM dm,PetscInt *nlocal)

Not collective

### Input parameter

dm -a DMSwarm

### Output parameter

nlocal -the length of each registered field

### See Also

DMSwarmGetSize(), DMSwarmSetLocalSizes()

### Level

beginner

### Location

src/dm/impls/swarm/swarm.c

### Examples

src/dm/examples/tutorials/swarm_ex1.c.html
src/dm/examples/tutorials/swarm_ex2.c.html
src/dm/examples/tutorials/swarm_ex3.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages